<?php

namespace App\Enums;

enum SafetyAndPrivacySteps: int
{
    case SHENASAEI= 1;
    case MOSTANADAT_GAZAEI = 2;
    case BARKHORD = 3;

    public static function name(int $step): string
    {
        $mapArray = [
            1 =>  'گام اول (شناسایی)',
            2 => 'گام دوم (مستندات قضایی)',
            3 => 'گام سوم (برخورد)',
        ];

        return $mapArray[$step];
    }
}